<?php
namespace Teknisa\CRM\Service;


class crm00050000RevendaService
{
    
    protected $revendaFactory;
    
    public function __construct ($revendaFactory){
        
        $this->revendaFactory        = $revendaFactory;

    }
    
    public function insertParcNegocio($paramsInsertParcNegocio){
        
        $this->revendaFactory->insertParcNegocio($paramsInsertParcNegocio);
    }
    
    public function insertResaleInterloc($paramsInsertResaleInterloc){
        
        $this->revendaFactory->insertResaleInterloc($paramsInsertResaleInterloc);
    }
    
    public function insertParceria($paramsInsertParceria){
        
        $revenda = $this->revendaFactory->verifyParceria($paramsInsertParceria['NRPARCNEGOCIO'], $paramsInsertParceria['NRORG']);
        if(!$revenda){
            $this->revendaFactory->insertParceria($paramsInsertParceria);
        }
    }
    
    public function insertComunicaparc($paramsInsertComunicaparc){
        
        $this->revendaFactory->insertComunicaparc($paramsInsertComunicaparc);
    }
    
    public function insertEndeparc($paramsInsertEndeparc){
        
        $this->revendaFactory->insertEndeparc($paramsInsertEndeparc);
        
    }
    
    public function insertEndeRevenda($paramsInsertEndeRevenda){
        
        $this->revendaFactory->insertEndeRevenda($paramsInsertEndeRevenda);
        
    }
    
    public function insertComunicaRevenda($paramsInsertComunicaRevenda){
        
        $this->revendaFactory->insertComunicaRevenda($paramsInsertComunicaRevenda);
        
    }
    
    public function getParcByClient($cdcliente, $nrorg){
        
        return $this->revendaFactory->getParcByClient($cdcliente, $nrorg)[0]['NRPARCNEGOCIO'];
        
    }
    
    public function getEndeclie($cdcliente, $nrorg){
        
        $endereco = $this->revendaFactory->getEndeclie($cdcliente, $nrorg);
        if(isset($endereco[0])){
            return $endereco[0];
        }else{
            return false;
        }
    }
    
    public function getComunicaByClient($cdcliente, $nrorg){
        
        $comunica = $this->revendaFactory->getComunicaByClient($cdcliente, $nrorg);
        if(isset($comunica)){
            return $comunica;
        }else{
            return false;
        }
    }
    
    public function validaCliente($row){
        $inscricao  = preg_replace('/[^0-9]/','',$row['NRINSCRIREVENDA']);
        $nrorg      = $row['NRORG'];
        $cliente = $this->revendaFactory->getClientByInscription($inscricao, $nrorg);
        if(isset($cliente)){
            return $cliente;
        }else{
            return false;
        }
    }
    
    public function verifyComunicaRevenda($comunicaparc, $nrorg, $revenda){
        
        $comunica = $this->revendaFactory->verifyComunicaRevenda($comunicaparc['value'], $nrorg, $revenda);
        return $comunica;
    }
    
    public function updateComunicaRevenda($paramsUpdateComunicaRevenda){
        
        $this->revendaFactory->updateComunicaRevenda($paramsUpdateComunicaRevenda);
        
    }
}
?>